Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: smartlock::KeypadManager Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
smartlock::KeypadManager Interface Reference

Keypad Manager Interface. More...

`import <KeypadManager.idl;`

## Classes
struct | KeypadAttachedEvent
| Keypad attached event. More...
struct | KeypadDetachedEvent
| Keypad detached event. More...
struct | KeypadEvent
| Keypad base event. More...
struct | KeypadSettings
struct | KeypadSettingsChangedEvent

## Public Member Functions
vector< Keypad > | getKeypads ()
| Retrieve the list of connected keypads.
Keypad | getKeypadById (in string keypadId)
| Get keypad for a specific id.
int | setKeypadSettings (in string position, in KeypadSettings setting)
| Set settings for a keypad.
map< string, KeypadSettings > | getAllKeypadSettings ()
| Get settings for all keypads.

## Detailed Description

Keypad Manager Interface.

Definition at line 17 of file KeypadManager.idl.

## Member Function Documentation

## ◆ getAllKeypadSettings()

map< string, KeypadSettings > smartlock::KeypadManager::getAllKeypadSettings | ( |  | ) |

Get settings for all keypads.

Returns
  Map of settings by keypad position (see Keypad::MetaData)

## ◆ getKeypadById()

Keypad smartlock::KeypadManager::getKeypadById | ( | in string | keypadId | ) |

Get keypad for a specific id.

Parameters

  keypadId | keypad id

Returns
  Keypad with given id or null

## ◆ getKeypads()

vector< Keypad > smartlock::KeypadManager::getKeypads | ( |  | ) |

Retrieve the list of connected keypads.

Returns
  Keypads list

## ◆ setKeypadSettings()

int smartlock::KeypadManager::setKeypadSettings | ( | in string | position,
|  | in KeypadSettings | setting )

Set settings for a keypad.

Parameters

  position | position of keypad (see Keypad::MetaData)
  settings | new settings for keypad

Returns
  NO_ERROR if OK
  ERR_INVALID_PARAMS if any setting is invalid

The documentation for this interface was generated from the following file:

- KeypadManager.idl